Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class VFSDeploymentService

    java.lang.Object
      org.jbpm.kie.services.impl.AbstractDeploymentService
          org.jbpm.kie.services.impl.VFSDeploymentService

All Implemented Interfaces:
  DeploymentService

    @ApplicationScoped
    public class VFSDeploymentService

extends AbstractDeploymentService

Field Summary

Fields inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService
`deploymentEvent, deploymentsMap, undeploymentEvent`

Constructor Summary
`VFSDeploymentService()`

Method Summary
`void` | `deploy(DeploymentUnit unit)`
`BPMN2DataService` | `getBpmn2Service()`
`javax.persistence.EntityManagerFactory` | `getEmf()`
`FileService` | `getFs()`
`IdentityProvider` | `getIdentityProvider()`
`JbpmServicesPersistenceManager` | `getPm()`
`protected void` | `loadProcesses(VFSDeploymentUnit vfsUnit, RuntimeEnvironmentBuilder builder, DeployedUnitImpl deployedUnit)`
`protected void` | `loadRules(VFSDeploymentUnit vfsUnit, RuntimeEnvironmentBuilder builder, DeployedUnitImpl deployedUnit)`
`void` | `setBpmn2Service(BPMN2DataService bpmn2Service)`
`void` | `setEmf(javax.persistence.EntityManagerFactory emf)`
`void` | `setFs(FileService fs)`
`void` | `setIdentityProvider(IdentityProvider identityProvider)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`

Methods inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService
`commonDeploy, getDeployedUnit, getDeployedUnits, getDeploymentsMap, getManagerFactory, getRuntimeDataService, getRuntimeManager, setManagerFactory, setRuntimeDataService, undeploy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VFSDeploymentService

    public VFSDeploymentService()

Method Detail

### deploy

    public void deploy(DeploymentUnit unit)

  Specified by:
    `deploy` in interface `DeploymentService`
  Overrides:
    `deploy` in class `AbstractDeploymentService`

### loadProcesses

    protected void loadProcesses(VFSDeploymentUnit vfsUnit,
                                 RuntimeEnvironmentBuilder builder,
                                 DeployedUnitImpl deployedUnit)

### loadRules

    protected void loadRules(VFSDeploymentUnit vfsUnit,
                             RuntimeEnvironmentBuilder builder,
                             DeployedUnitImpl deployedUnit)

### getPm

    public JbpmServicesPersistenceManager getPm()

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### getFs

    public FileService getFs()

### setFs

    public void setFs(FileService fs)

### getEmf

    public javax.persistence.EntityManagerFactory getEmf()

### setEmf

    public void setEmf(javax.persistence.EntityManagerFactory emf)

### getIdentityProvider

    public IdentityProvider getIdentityProvider()

### setIdentityProvider

    public void setIdentityProvider(IdentityProvider identityProvider)

### getBpmn2Service

    public BPMN2DataService getBpmn2Service()

### setBpmn2Service

    public void setBpmn2Service(BPMN2DataService bpmn2Service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.